### Function

# Gio dbus_gvariant_to_gvalue

since: 2.30

#### Declaration [src]

    void
    g_dbus_gvariant_to_gvalue (
      GVariant* value,
      GValue* out_gvalue
    )

#### Description [src]

Converts a `GVariant` to a `GValue`. If `value` is floating, it is consumed.

The rules specified in the `g_dbus_gvalue_to_gvariant()` function are used - this function is essentially its reverse form. So, a `GVariant` containing any basic or string array type will be converted to a `GValue` containing a basic value or string array. Any other `GVariant` (handle, variant, tuple, dict entry) will be converted to a `GValue` containing that `GVariant`.

The conversion never fails - a valid `GValue` is always returned in `out_gvalue`.

Available since: 2.30

#### Parameters

`value`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

`out_gvalue`

  Type: `GValue`

  Return location pointing to a zero-filled (uninitialized) `GValue`.

  The argument will be set by the function.
  The data is owned by the caller of the function.